import type { Brainfish, RedirectRules } from '../types/brainfish';
import type { Settings } from '@brainfish-ai/widgets-common';
export interface BrainfishQueue extends Brainfish {
    _setRealBrainfish: (bf: Brainfish) => void;
    Widgets: {
        init: ({ widgetKey, overrides, }: {
            widgetKey: string;
            overrides?: Partial<Pick<Settings, 'nextBestActions' | 'bodyActionButtons' | 'footerActionButtons' | 'enableRecording'>> & {
                apiHost?: string;
                analyticsApiHost?: string;
                redirectRules?: RedirectRules;
                [key: string]: any;
            };
        }) => Promise<void>;
        identify: (userData: Record<string, unknown>) => void;
        isReady: boolean;
        open: () => void;
        close: () => void;
    };
}
export declare function createBrainfishQueue(): BrainfishQueue;
